Bug 91971 - [PATCH] multimedia/quodlibet: update to 0.17
[PATCH] multimedia/quodlibet: update to 0.17
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 21:00 UTC by bh
Modified: 2006-01-20 23:30 UTC (History)
1 user (show)

See Also:


Attachments
ports-quodlibet-20060118.diff (3.75 KB, patch)
2006-01-18 21:00 UTC, bh
no flags Details | Diff
ports-quodlibet-20060119.diff (3.76 KB, patch)
2006-01-19 22:54 UTC, bh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bh 2006-01-18 21:00:14 UTC
Quod Libet has been update to 0.17 [1].

- FLAC support no longer depends on pyflac
- Added Korean translation

[1] http://www.sacredchao.net/quodlibet/milestone?id=EF%2FQL+0.17

How-To-Repeat: After patch, I tried as follow:

# make distclean
# make install
# make package
# make deinstall
# pkg_add -v /usr/ports/packages/All/quodlibet-0.17.tbz
# make deinstall
# make reinstall
# make package

It worked correctly.
Comment 1 Edwin Groothuis freebsd_committer 2006-01-18 21:47:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 bh 2006-01-19 10:06:28 UTC
On Thu, 19 Jan 2006 08:42:41 +0000, Chang bom Yoon wrote:
> 2006/1/18, Edwin Groothuis <edwin@freebsd.org>:
> > Synopsis: [PATCH] multimedia/quodlibet: update to 0.17
> >
> > State-Changed-From-To: open->feedback
> > State-Changed-By: edwin
> > State-Changed-When: Wed Jan 18 21:47:40 UTC 2006
> > State-Changed-Why:
> > Awaiting maintainers feedback
> 
> I'm glad to see this pr, because update :)
> 
> Tested, and it works good. I approve this pr.

Thanks, ChangBom!

Sincerely,

-- 
Byung-Hee
Comment 3 Edwin Groothuis freebsd_committer 2006-01-19 11:07:44 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 4 bh 2006-01-19 22:54:17 UTC
A few minutes ago, updated de.mo(German Translation) arrived in QL's List.  
And so QL's Author, Joe Wreschnig <piman@sacredchao.net>, has just released
0.17.1 that includes updated de.mo.

Please, use this patch(ports-quodlibet-20060119.diff) instead of old
patch(ports-quodlibet-20060118.diff).

Sincerely,

-- 
Byung-Hee
Comment 5 changbom.yoon 2006-01-20 03:59:54 UTC
Byung-Hee HWANG wrote:
> The following reply was made to PR ports/91971; it has been noted by GNATS.
>
> From: Byung-Hee HWANG <bh@izb.knu.ac.kr>
> To: bug-followup@freebsd.org
> Cc: changbom.yoon@gmail.com
> Subject: Re: ports/91971: [PATCH] multimedia/quodlibet: update to 0.17
> Date: Thu, 19 Jan 2006 15:54:17 -0700
>
>  --KsGdsel6WgEHnImy
>  Content-Type: text/plain; charset=utf-8
>  Content-Disposition: inline
>  
>  A few minutes ago, updated de.mo(German Translation) arrived in QL's List.  
>  And so QL's Author, Joe Wreschnig <piman@sacredchao.net>, has just released
>  0.17.1 that includes updated de.mo.
>  
>  Please, use this patch(ports-quodlibet-20060119.diff) instead of old
>  patch(ports-quodlibet-20060118.diff).
>  
>  Sincerely,
>  
>  -- 
>  Byung-Hee
>  
>  --KsGdsel6WgEHnImy
>  Content-Type: text/plain; charset=utf-8
>  Content-Disposition: attachment; filename="ports-quodlibet-20060119.diff"
>  
>  diff --exclude=CVS -uNr quodlibet.orig/Makefile quodlibet/Makefile
>  --- quodlibet.orig/Makefile	2006-01-14 18:41:26.000000000 -0700
>  +++ quodlibet/Makefile	2006-01-19 14:40:56.068086646 -0700
>  @@ -6,8 +6,8 @@
>   #
>   
>   PORTNAME=	quodlibet
>  -PORTVERSION=	0.16
>  -PORTREVISION=	3
>  +PORTVERSION=	0.17.1
>  +PORTREVISION=	0
>   CATEGORIES=	multimedia audio python gnome
>   MASTER_SITES=	http://www.sacredchao.net/~piman/software/
>   
>  @@ -50,8 +50,6 @@
>   .endif
>   
>   .if defined(WANT_QUODLIBET_FLAC)
>  -BUILD_DEPENDS+=	${PYTHON_SITELIBDIR}/flac/__init__.py:${PORTSDIR}/audio/py-flac
>  -RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/flac/__init__.py:${PORTSDIR}/audio/py-flac
>   USE_GSTREAMER+=	flac
>   .endif
>   
>  diff --exclude=CVS -uNr quodlibet.orig/distinfo quodlibet/distinfo
>  --- quodlibet.orig/distinfo	2006-01-04 14:16:53.000000000 -0700
>  +++ quodlibet/distinfo	2006-01-19 14:49:27.578357086 -0700
>  @@ -1,3 +1,3 @@
>  -MD5 (quodlibet-0.16.tar.gz) = f47cdc1e8f7197a3cd281bd31b406d94
>  -SHA256 (quodlibet-0.16.tar.gz) = 8c23a08432f3be60d0d85ee650b7c12a30799a4bd307107b332db94b91db9a9d
>  -SIZE (quodlibet-0.16.tar.gz) = 552149
>  +MD5 (quodlibet-0.17.1.tar.gz) = e4e7f617f04aad73c841f9d2e2e7028a
>  +SHA256 (quodlibet-0.17.1.tar.gz) = 1d02f7d015d0e5d3eadc1d38bea17ffc15c85178a4144bc4ea062f273658a221
>  +SIZE (quodlibet-0.17.1.tar.gz) = 596710
>  diff --exclude=CVS -uNr quodlibet.orig/pkg-plist quodlibet/pkg-plist
>  --- quodlibet.orig/pkg-plist	2006-01-04 14:16:53.000000000 -0700
>  +++ quodlibet/pkg-plist	2006-01-18 12:54:23.176177214 -0700
>  @@ -14,6 +14,7 @@
>   share/locale/gl/LC_MESSAGES/quodlibet.mo
>   share/locale/he/LC_MESSAGES/quodlibet.mo
>   share/locale/it/LC_MESSAGES/quodlibet.mo
>  +share/locale/ko/LC_MESSAGES/quodlibet.mo
>   share/locale/nl/LC_MESSAGES/quodlibet.mo
>   share/locale/pl/LC_MESSAGES/quodlibet.mo
>   share/locale/pt/LC_MESSAGES/quodlibet.mo
>  @@ -39,7 +40,7 @@
>   share/quodlibet/formats/_audio.py
>   share/quodlibet/formats/_vorbis.py
>   share/quodlibet/formats/ape.py
>  -share/quodlibet/formats/flac_.py
>  +share/quodlibet/formats/flac.py
>   share/quodlibet/formats/mod.py
>   share/quodlibet/formats/mp3.py
>   share/quodlibet/formats/mp4.py
>  @@ -48,18 +49,24 @@
>   share/quodlibet/formats/remote.py
>   share/quodlibet/formats/wavpack.py
>   share/quodlibet/library.py
>  +share/quodlibet/massagers.py
>   share/quodlibet/mutagen/__init__.py
>   share/quodlibet/mutagen/_constants.py
>  +share/quodlibet/mutagen/_vorbis.py
>   share/quodlibet/mutagen/apev2.py
>  +share/quodlibet/mutagen/flac.py
>   share/quodlibet/mutagen/id3.py
>   share/quodlibet/parse/__init__.py
>   share/quodlibet/parse/_match.py
>   share/quodlibet/parse/_pattern.py
>   share/quodlibet/parse/_query.py
>   share/quodlibet/player.py
>  -share/quodlibet/plugins.py
>  +share/quodlibet/plugins/__init__.py
>  +share/quodlibet/plugins/_manager.py
>  +share/quodlibet/plugins/editing.py
>   share/quodlibet/plugins/qlscrobbler.py
>   share/quodlibet/qltk/__init__.py
>  +share/quodlibet/qltk/_editpane.py
>   share/quodlibet/qltk/about.py
>   share/quodlibet/qltk/browser.py
>   share/quodlibet/qltk/cbes.py
>  @@ -71,12 +78,14 @@
>   share/quodlibet/qltk/cover.py
>   share/quodlibet/qltk/delete.py
>   share/quodlibet/qltk/downloader.py
>  +share/quodlibet/qltk/edittags.py
>   share/quodlibet/qltk/entry.py
>   share/quodlibet/qltk/exfalso.py
>   share/quodlibet/qltk/filesel.py
>   share/quodlibet/qltk/getstring.py
>   share/quodlibet/qltk/info.py
>   share/quodlibet/qltk/information.py
>  +share/quodlibet/qltk/lyrics.py
>   share/quodlibet/qltk/mmkeys.py
>   share/quodlibet/qltk/msg.py
>   share/quodlibet/qltk/playorder.py
>  @@ -86,8 +95,12 @@
>   share/quodlibet/qltk/queue.py
>   share/quodlibet/qltk/quodlibet.py
>   share/quodlibet/qltk/remote.py
>  +share/quodlibet/qltk/renamefiles.py
>   share/quodlibet/qltk/sliderbutton.py
>   share/quodlibet/qltk/songlist.py
>  +share/quodlibet/qltk/tagsfrompath.py
>  +share/quodlibet/qltk/textedit.py
>  +share/quodlibet/qltk/tracknumbers.py
>   share/quodlibet/qltk/trayicon.py
>   share/quodlibet/qltk/views.py
>   share/quodlibet/qltk/watcher.py
>  
>  --KsGdsel6WgEHnImy--
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
>
>
Comment 6 changbom.yoon 2006-01-20 04:15:28 UTC
Byung-Hee HWANG wrote:
> The following reply was made to PR ports/91971; it has been noted by GNATS.
>
> From: Byung-Hee HWANG <bh@izb.knu.ac.kr>
> To: bug-followup@freebsd.org
> Cc: changbom.yoon@gmail.com
> Subject: Re: ports/91971: [PATCH] multimedia/quodlibet: update to 0.17
> Date: Thu, 19 Jan 2006 15:54:17 -0700
>
>  --KsGdsel6WgEHnImy
>  Content-Type: text/plain; charset=utf-8
>  Content-Disposition: inline
>  
>  A few minutes ago, updated de.mo(German Translation) arrived in QL's List.  
>  And so QL's Author, Joe Wreschnig <piman@sacredchao.net>, has just released
>  0.17.1 that includes updated de.mo.
>  
>  Please, use this patch(ports-quodlibet-20060119.diff) instead of old
>  patch(ports-quodlibet-20060118.diff).
> [...snip...] 
>
>   
I approve recent pr. :)
(sorry, my mistakes)
Comment 7 bh 2006-01-20 09:58:55 UTC
Dear Maintainer

[1] Quod Libet has been updated by the author, again.

- Updated German translation, by Rüdiger Arp.
- Updated Russian translation, by Sergey Fedoseev.
- intltool is now required to build translations. 

[1] http://www.sacredchao.net/quodlibet/milestone?id=EF%2FQL+0.17.1 

I hope that you should accept to this patch file instead of all old patch
files. Please, check out here: 
http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-20060120.diff

Sincerely,

-- 
Byung-Hee
Comment 8 changbom.yoon 2006-01-20 10:25:51 UTC
Byung-Hee HWANG wrote:
> The following reply was made to PR ports/91971; it has been noted by GNATS.
>
> From: Byung-Hee HWANG <bh@izb.knu.ac.kr>
> To: ChangBom Yoon <changbom.yoon@gmail.com>
> Cc: bug-followup@FreeBSD.org
> Subject: Re: ports/91971: [PATCH] multimedia/quodlibet: update to 0.17
> Date: Fri, 20 Jan 2006 02:58:55 -0700
>
>  Dear Maintainer
>  
>  [1] Quod Libet has been updated by the author, again.
>  
>  - Updated German translation, by Rüdiger Arp.
>  - Updated Russian translation, by Sergey Fedoseev.
>  - intltool is now required to build translations. 
>  
>  [1] http://www.sacredchao.net/quodlibet/milestone?id=EF%2FQL+0.17.1 
>  
>  I hope that you should accept to this patch file instead of all old patch
>  files. Please, check out here: 
>  http://izb.knu.ac.kr/~bh/stuff/ports-quodlibet-20060120.diff
>  
>  Sincerely,
>   
very often updates....... Tested, and i've check it works correctly. 
approve this.
Comment 9 pav freebsd_committer 2006-01-20 23:30:02 UTC
State Changed
From-To: open->closed

Committed, thanks!